---
updatedAt: 2026-05-27T08:29:53.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List users

Returns a collection with all users.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "User",
      "description": "User represents a Xentral account used to access other parts of the system."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/users": {
      "get": {
        "deprecated": true,
        "tags": [
          "User"
        ],
        "operationId": "user.list",
        "summary": "List users",
        "description": "Returns a collection with all users.",
        "parameters": [
          {
            "name": "filter",
            "in": "query",
            "description": "V1 filter format (used with application/json Accept header)",
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "ids": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "pattern": "\\d+",
                    "example": "17",
                    "description": "Resource identifier."
                  }
                },
                "username": {
                  "type": "string"
                },
                "description": {
                  "type": "string"
                },
                "color": {
                  "type": "string",
                  "pattern": "^[a-fA-F0-9]{6}$"
                },
                "isActive": {
                  "type": "boolean"
                },
                "email": {
                  "type": "string"
                }
              }
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "order",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "field": {
                    "type": "string",
                    "enum": [
                      "id",
                      "username",
                      "isActive",
                      "createdAt"
                    ]
                  },
                  "dir": {
                    "type": "string",
                    "enum": [
                      "asc",
                      "desc"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data",
                    "extra"
                  ],
                  "properties": {
                    "data": {
                      "description": "A list of users",
                      "type": "array",
                      "items": {
                        "description": "User resource.",
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "id",
                          "username",
                          "description",
                          "createdAt"
                        ],
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "globalUserId": {
                            "description": "Nullable UUID identifier of the resource.",
                            "type": "string",
                            "pattern": "^$|^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$",
                            "example": "a00fd11e-3a67-433b-83c0-4e815fd4a0e1",
                            "nullable": true
                          },
                          "username": {
                            "description": "The name of the user",
                            "type": "string",
                            "example": "Benedikt"
                          },
                          "createdAt": {
                            "description": "The date the user was created",
                            "type": "string",
                            "format": "date-time",
                            "example": "2023-08-13T14:45:36+02:00"
                          },
                          "description": {
                            "x-description-ignore": true,
                            "type": "string",
                            "nullable": true,
                            "example": "This is the user description."
                          },
                          "color": {
                            "description": "An optional hex value without the #, representing the avatar color",
                            "type": "string",
                            "nullable": true,
                            "example": "ff0000"
                          },
                          "isActive": {
                            "description": "A boolean value indicating if the user is active and can log in",
                            "type": "boolean",
                            "example": true
                          },
                          "locale": {
                            "description": "A ISO-639-1 formatted string indicating the language the user will use",
                            "type": "string",
                            "example": "de_DE"
                          },
                          "isAdmin": {
                            "description": "A boolean value indicating if the user is an admin",
                            "type": "boolean",
                            "example": false
                          },
                          "email": {
                            "x-description-ignore": true,
                            "type": "string",
                            "nullable": true,
                            "example": "example@xentral.com"
                          },
                          "emailVerifiedAt": {
                            "description": "The date where the user verified his email address",
                            "type": "string",
                            "format": "date-time",
                            "nullable": true,
                            "example": "2023-08-14T14:45:36+02:00"
                          },
                          "mfa": {
                            "description": "Auth Platform MFA state",
                            "type": "boolean",
                            "nullable": true,
                            "example": false
                          },
                          "contactId": {
                            "description": "The ID of the contact/address associated with this user",
                            "type": "string",
                            "nullable": true,
                            "example": "123"
                          },
                          "isSupportUser": {
                            "description": "A boolean value indicating if the user is a support (key) user",
                            "type": "boolean",
                            "example": false
                          }
                        },
                        "example": {
                          "id": "12",
                          "globalUserId": "f7b3b3b3-7b3b-4b3b-8b3b-3b3b3b3b3b3b",
                          "username": "Bene",
                          "createdAt": "2023-08-13T14:45:36+02:00",
                          "description": "This is the user description.",
                          "color": "ff0000",
                          "isActive": true,
                          "locale": "de_DE",
                          "isAdmin": true,
                          "email": "ceo@example.com",
                          "emailVerifiedAt": "2023-08-14T14:45:36+02:00",
                          "contactId": "123",
                          "isSupportUser": false
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```